Update address - Fabric

Update address

cURL

curl --request PATCH \
  --url https://api.fabric.inc/v3/carts/{cartId}/addresses/{addressId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "name": {
    "number": "123-456-7890",
    "type": "MOBILE"
  },
  "email": "john@test.com",
  "phone": {
    "number": "123-456-7890",
    "type": "MOBILE"
  },
  "addressLine1": "123 Park Road",
  "addressLine2": "<string>",
  "addressLine3": "<string>",
  "addressLine4": "<string>",
  "city": "Santa Cruz",
  "region": "California",
  "country": "USA",
  "postalCode": "12345"
}
'

Python

import requests

url = "https://api.fabric.inc/v3/carts/{cartId}/addresses/{addressId}"

payload = {
    "name": {
        "number": "123-456-7890",
        "type": "MOBILE"
    },
    "email": "john@test.com",
    "phone": {
        "number": "123-456-7890",
        "type": "MOBILE"
    },
    "addressLine1": "123 Park Road",
    "addressLine2": "<string>",
    "addressLine3": "<string>",
    "addressLine4": "<string>",
    "city": "Santa Cruz",
    "region": "California",
    "country": "USA",
    "postalCode": "12345"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'PATCH',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: {number: '123-456-7890', type: 'MOBILE'},
    email: 'john@test.com',
    phone: {number: '123-456-7890', type: 'MOBILE'},
    addressLine1: '123 Park Road',
    addressLine2: '<string>',
    addressLine3: '<string>',
    addressLine4: '<string>',
    city: 'Santa Cruz',
    region: 'California',
    country: 'USA',
    postalCode: '12345'
  })
};

fetch('https://api.fabric.inc/v3/carts/{cartId}/addresses/{addressId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/carts/{cartId}/addresses/{addressId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => [
        'number' => '123-456-7890',
        'type' => 'MOBILE'
    ],
    'email' => 'john@test.com',
    'phone' => [
        'number' => '123-456-7890',
        'type' => 'MOBILE'
    ],
    'addressLine1' => '123 Park Road',
    'addressLine2' => '<string>',
    'addressLine3' => '<string>',
    'addressLine4' => '<string>',
    'city' => 'Santa Cruz',
    'region' => 'California',
    'country' => 'USA',
    'postalCode' => '12345'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.fabric.inc/v3/carts/{cartId}/addresses/{addressId}"

payload := strings.NewReader("{\n  \"name\": {\n    \"number\": \"123-456-7890\",\n    \"type\": \"MOBILE\"\n  },\n  \"email\": \"john@test.com\",\n  \"phone\": {\n    \"number\": \"123-456-7890\",\n    \"type\": \"MOBILE\"\n  },\n  \"addressLine1\": \"123 Park Road\",\n  \"addressLine2\": \"<string>\",\n  \"addressLine3\": \"<string>\",\n  \"addressLine4\": \"<string>\",\n  \"city\": \"Santa Cruz\",\n  \"region\": \"California\",\n  \"country\": \"USA\",\n  \"postalCode\": \"12345\"}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response Codes

Example JSON Responses

Success Response

{
  "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
  "name": {
    "first": "John",
    "middle": "S",
    "last": "Doe"
  },
  "email": "john@test.com",
  "phone": {
    "number": "123-456-7890",
    "type": "MOBILE"
  },
  "addressLine1": "123 Park Road",
  "addressLine2": "<string>",
  "addressLine3": "<string>",
  "addressLine4": "<string>",
  "city": "Santa Cruz",
  "region": "California",
  "country": "USA",
  "postalCode": "12345",
  "updatedAt": "2024-06-13T16:50:00.682Z",
  "createdAt": "2024-06-13T16:50:00.682Z"
}

Error Response

{
  "type": "BAD_REQUEST",
  "message": "x-fabric-tenant-id is required"
}